> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.bridge.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Check the status of a KYC link

> Retrieve the status of a KYC request from the passed in KYC link id



## OpenAPI

````yaml https://withbridge-image1-sv-usw2-monorail-openapi.s3.amazonaws.com/latest.json get /kyc_links/{kycLinkID}
openapi: 3.0.2
info:
  title: Bridge API
  description: APIs to move into, out of, and between any form of a dollar
  version: '1'
servers:
  - url: https://api.bridge.xyz/v0
    description: The base path for all resources
security:
  - ApiKey: []
tags:
  - name: Customers
  - name: Fiat Payout Configuration
  - name: External Accounts
  - name: Transfers
  - name: Prefunded Accounts
  - name: Balances
  - name: Liquidation Addresses
  - name: Developers
  - name: API Keys
  - name: Plaid
  - name: Virtual Accounts
  - name: Static Memos
  - name: Cards
  - name: Funds Requests
  - name: Webhooks
  - name: Lists
  - name: Crypto Return Policies
  - name: Rewards
  - name: Associated Persons
  - name: Sandbox
paths:
  /kyc_links/{kycLinkID}:
    parameters:
      - $ref: '#/components/parameters/KycLinkIDParameter'
    get:
      tags:
        - KYC Links
      summary: Check the status of a KYC link
      description: Retrieve the status of a KYC request from the passed in KYC link id
      responses:
        '200':
          description: Successful KYC link status response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IndividualKycLinkResponse'
              examples:
                ApprovedKYCLinkGetResponse:
                  $ref: '#/components/examples/ApprovedKycLinkGetResponse'
                  summary: KYC link status for an approved customer
                RejectedKYCLinkGetResponse:
                  $ref: '#/components/examples/RejectedKycLinkGetResponse'
                  summary: KYC link status for a rejected customer
        '401':
          $ref: '#/components/responses/AuthenticationError'
        '404':
          $ref: '#/components/responses/NotFoundError'
        '500':
          $ref: '#/components/responses/UnexpectedError'
components:
  parameters:
    KycLinkIDParameter:
      name: kycLinkID
      in: path
      required: true
      schema:
        $ref: '#/components/schemas/Id'
  schemas:
    IndividualKycLinkResponse:
      properties:
        id:
          type: string
          description: ID of the KYC link
        type:
          type: string
          description: Type of the KYC link
          enum:
            - individual
            - business
        customer_id:
          type: string
          description: ID of the customer.
        full_name:
          type: string
          description: >-
            Full name of the customer, for a business, this would be the
            business entity's legal name
        email:
          type: string
          description: Email of the customer
        kyc_link:
          type: string
          description: Link to the KYC flow
        kyc_status:
          $ref: '#/components/schemas/KycStatus'
          type: string
        rejection_reasons:
          deprecated: true
          readOnly: true
          description: Reasons why a customer KYC was rejected
          type: array
          minItems: 0
          items:
            $ref: '#/components/schemas/RejectionReason'
        tos_link:
          type: string
          description: Link to the TOS flow
        tos_status:
          $ref: '#/components/schemas/TosStatus'
          type: string
        created_at:
          type: string
          description: Time of creation of the KYC link
          format: date-time
    Id:
      description: A UUID that uniquely identifies a resource
      type: string
      pattern: '[a-z0-9]*'
      minLength: 1
      maxLength: 42
    KycStatus:
      type: string
      description: Status of the KYC flow.
      enum:
        - not_started
        - incomplete
        - awaiting_questionnaire
        - awaiting_ubo
        - under_review
        - approved
        - rejected
        - paused
        - offboarded
    RejectionReason:
      description: Reason why the kyc_status was rejected
      properties:
        developer_reason:
          type: string
          description: >-
            Developer information for why a customer was rejected. Not to be
            shared with the customer.
        reason:
          type: string
          description: >-
            Reason for why a customer was rejected. To be shared with the
            customer.
        created_at:
          deprecated: true
          nullable: true
          type: string
          description: Time of creation of the rejection reason
    TosStatus:
      type: string
      description: Status of the TOS flow
      enum:
        - pending
        - approved
    Error:
      required:
        - code
        - message
      properties:
        code:
          type: string
          minLength: 1
          maxLength: 256
        message:
          type: string
          minLength: 1
          maxLength: 512
        source:
          title: ErrorSource
          required:
            - location
            - key
          properties:
            location:
              type: string
              enum:
                - path
                - query
                - body
                - header
            key:
              type: string
              description: >-
                Comma separated names of the properties or parameters causing
                the error
  examples:
    ApprovedKycLinkGetResponse:
      summary: Approved KYC link
      value:
        id: kyc_link_123
        full_name: John Doe
        email: johndoe@johndoe.com
        type: individual
        kyc_link: www.kyclink.com/blah
        tos_link: www.toslink.com/blah
        kyc_status: approved
        rejection_reasons: []
        tos_status: approved
        customer_id: cust_123
    RejectedKycLinkGetResponse:
      summary: Rejected KYC link
      value:
        id: kyc_link_123
        full_name: John Doe
        email: johndoe@johndoe.com
        type: individual
        kyc_link: www.kyclink.com/blah
        tos_link: www.toslink.com/blah
        kyc_status: rejected
        rejection_reasons:
          - developer_reason: Missing required ID details.
            reason: Cannot validate ID -- upload a clear photo of the full ID
            created_at: '2020-01-02T00:00:00.000Z'
          - developer_reason: Blurry face portrait.
            reason: Cannot validate ID -- upload a clear photo of the full ID
            created_at: '2020-01-02T00:00:00.000Z'
        tos_status: approved
        customer_id: cust_123
  responses:
    AuthenticationError:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            MissingTokenError:
              summary: No Api-Key header
              description: The header may be missing or misspelled.
              value:
                code: required
                location: header
                name: Api-Key
                message: Missing Api-Key header
            InvalidTokenError:
              summary: Invalid key in Api-Key header
              value:
                code: invalid
                location: header
                name: Api-Key
                message: Invalid Api-Key header
    NotFoundError:
      description: No resource found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            NotFoundErrorExample:
              summary: Invalid customer id
              value:
                code: Invalid
                message: Unknown customer id
    UnexpectedError:
      description: Unexpected error. User may try and send the request again.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            UnexpectedError:
              summary: An unexpected error
              value:
                errors:
                  - code: unexpected
                    message: An expected error occurred, you may try again later
  securitySchemes:
    ApiKey:
      type: apiKey
      name: Api-Key
      in: header

````